package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TempServerIdenCfgExample {
    /**
     * temp_server_iden_cfg
     */
    protected String orderByClause;

    /**
     * temp_server_iden_cfg
     */
    protected boolean distinct;

    /**
     * temp_server_iden_cfg
     */
    protected List<Criteria> oredCriteria;

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:36:41
     */
    public TempServerIdenCfgExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:36:41
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:36:41
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:36:41
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:36:41
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:36:41
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:36:41
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:36:41
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:36:41
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:36:41
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:36:41
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-03-10 11:36:41
    */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andRemoteCfgIdIsNull() {
            addCriterion("REMOTE_CFG_ID is null");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdIsNotNull() {
            addCriterion("REMOTE_CFG_ID is not null");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdEqualTo(Integer value) {
            addCriterion("REMOTE_CFG_ID =", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdNotEqualTo(Integer value) {
            addCriterion("REMOTE_CFG_ID <>", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdGreaterThan(Integer value) {
            addCriterion("REMOTE_CFG_ID >", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("REMOTE_CFG_ID >=", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdLessThan(Integer value) {
            addCriterion("REMOTE_CFG_ID <", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdLessThanOrEqualTo(Integer value) {
            addCriterion("REMOTE_CFG_ID <=", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdIn(List<Integer> values) {
            addCriterion("REMOTE_CFG_ID in", values, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdNotIn(List<Integer> values) {
            addCriterion("REMOTE_CFG_ID not in", values, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdBetween(Integer value1, Integer value2) {
            addCriterion("REMOTE_CFG_ID between", value1, value2, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("REMOTE_CFG_ID not between", value1, value2, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andLastValIsNull() {
            addCriterion("LAST_VAL is null");
            return (Criteria) this;
        }

        public Criteria andLastValIsNotNull() {
            addCriterion("LAST_VAL is not null");
            return (Criteria) this;
        }

        public Criteria andLastValEqualTo(Integer value) {
            addCriterion("LAST_VAL =", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValNotEqualTo(Integer value) {
            addCriterion("LAST_VAL <>", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValGreaterThan(Integer value) {
            addCriterion("LAST_VAL >", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValGreaterThanOrEqualTo(Integer value) {
            addCriterion("LAST_VAL >=", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValLessThan(Integer value) {
            addCriterion("LAST_VAL <", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValLessThanOrEqualTo(Integer value) {
            addCriterion("LAST_VAL <=", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValIn(List<Integer> values) {
            addCriterion("LAST_VAL in", values, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValNotIn(List<Integer> values) {
            addCriterion("LAST_VAL not in", values, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValBetween(Integer value1, Integer value2) {
            addCriterion("LAST_VAL between", value1, value2, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValNotBetween(Integer value1, Integer value2) {
            addCriterion("LAST_VAL not between", value1, value2, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastTimeIsNull() {
            addCriterion("LAST_TIME is null");
            return (Criteria) this;
        }

        public Criteria andLastTimeIsNotNull() {
            addCriterion("LAST_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andLastTimeEqualTo(Date value) {
            addCriterion("LAST_TIME =", value, "lastTime");
            return (Criteria) this;
        }

        public Criteria andLastTimeNotEqualTo(Date value) {
            addCriterion("LAST_TIME <>", value, "lastTime");
            return (Criteria) this;
        }

        public Criteria andLastTimeGreaterThan(Date value) {
            addCriterion("LAST_TIME >", value, "lastTime");
            return (Criteria) this;
        }

        public Criteria andLastTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("LAST_TIME >=", value, "lastTime");
            return (Criteria) this;
        }

        public Criteria andLastTimeLessThan(Date value) {
            addCriterion("LAST_TIME <", value, "lastTime");
            return (Criteria) this;
        }

        public Criteria andLastTimeLessThanOrEqualTo(Date value) {
            addCriterion("LAST_TIME <=", value, "lastTime");
            return (Criteria) this;
        }

        public Criteria andLastTimeIn(List<Date> values) {
            addCriterion("LAST_TIME in", values, "lastTime");
            return (Criteria) this;
        }

        public Criteria andLastTimeNotIn(List<Date> values) {
            addCriterion("LAST_TIME not in", values, "lastTime");
            return (Criteria) this;
        }

        public Criteria andLastTimeBetween(Date value1, Date value2) {
            addCriterion("LAST_TIME between", value1, value2, "lastTime");
            return (Criteria) this;
        }

        public Criteria andLastTimeNotBetween(Date value1, Date value2) {
            addCriterion("LAST_TIME not between", value1, value2, "lastTime");
            return (Criteria) this;
        }

        public Criteria andDnTypeIsNull() {
            addCriterion("DN_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andDnTypeIsNotNull() {
            addCriterion("DN_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andDnTypeEqualTo(Integer value) {
            addCriterion("DN_TYPE =", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeNotEqualTo(Integer value) {
            addCriterion("DN_TYPE <>", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeGreaterThan(Integer value) {
            addCriterion("DN_TYPE >", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("DN_TYPE >=", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeLessThan(Integer value) {
            addCriterion("DN_TYPE <", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeLessThanOrEqualTo(Integer value) {
            addCriterion("DN_TYPE <=", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeIn(List<Integer> values) {
            addCriterion("DN_TYPE in", values, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeNotIn(List<Integer> values) {
            addCriterion("DN_TYPE not in", values, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeBetween(Integer value1, Integer value2) {
            addCriterion("DN_TYPE between", value1, value2, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("DN_TYPE not between", value1, value2, "dnType");
            return (Criteria) this;
        }

        public Criteria andDigitNumIsNull() {
            addCriterion("DIGIT_NUM is null");
            return (Criteria) this;
        }

        public Criteria andDigitNumIsNotNull() {
            addCriterion("DIGIT_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andDigitNumEqualTo(Integer value) {
            addCriterion("DIGIT_NUM =", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumNotEqualTo(Integer value) {
            addCriterion("DIGIT_NUM <>", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumGreaterThan(Integer value) {
            addCriterion("DIGIT_NUM >", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("DIGIT_NUM >=", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumLessThan(Integer value) {
            addCriterion("DIGIT_NUM <", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumLessThanOrEqualTo(Integer value) {
            addCriterion("DIGIT_NUM <=", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumIn(List<Integer> values) {
            addCriterion("DIGIT_NUM in", values, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumNotIn(List<Integer> values) {
            addCriterion("DIGIT_NUM not in", values, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumBetween(Integer value1, Integer value2) {
            addCriterion("DIGIT_NUM between", value1, value2, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumNotBetween(Integer value1, Integer value2) {
            addCriterion("DIGIT_NUM not between", value1, value2, "digitNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumIsNull() {
            addCriterion("WHEEL_NUM is null");
            return (Criteria) this;
        }

        public Criteria andWheelNumIsNotNull() {
            addCriterion("WHEEL_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andWheelNumEqualTo(Integer value) {
            addCriterion("WHEEL_NUM =", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumNotEqualTo(Integer value) {
            addCriterion("WHEEL_NUM <>", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumGreaterThan(Integer value) {
            addCriterion("WHEEL_NUM >", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("WHEEL_NUM >=", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumLessThan(Integer value) {
            addCriterion("WHEEL_NUM <", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumLessThanOrEqualTo(Integer value) {
            addCriterion("WHEEL_NUM <=", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumIn(List<Integer> values) {
            addCriterion("WHEEL_NUM in", values, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumNotIn(List<Integer> values) {
            addCriterion("WHEEL_NUM not in", values, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumBetween(Integer value1, Integer value2) {
            addCriterion("WHEEL_NUM between", value1, value2, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumNotBetween(Integer value1, Integer value2) {
            addCriterion("WHEEL_NUM not between", value1, value2, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIsNull() {
            addCriterion("UNIT_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIsNotNull() {
            addCriterion("UNIT_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andUnitTypeEqualTo(Integer value) {
            addCriterion("UNIT_TYPE =", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotEqualTo(Integer value) {
            addCriterion("UNIT_TYPE <>", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeGreaterThan(Integer value) {
            addCriterion("UNIT_TYPE >", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("UNIT_TYPE >=", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeLessThan(Integer value) {
            addCriterion("UNIT_TYPE <", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeLessThanOrEqualTo(Integer value) {
            addCriterion("UNIT_TYPE <=", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIn(List<Integer> values) {
            addCriterion("UNIT_TYPE in", values, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotIn(List<Integer> values) {
            addCriterion("UNIT_TYPE not in", values, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeBetween(Integer value1, Integer value2) {
            addCriterion("UNIT_TYPE between", value1, value2, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("UNIT_TYPE not between", value1, value2, "unitType");
            return (Criteria) this;
        }

        public Criteria andSetupDirIsNull() {
            addCriterion("SETUP_DIR is null");
            return (Criteria) this;
        }

        public Criteria andSetupDirIsNotNull() {
            addCriterion("SETUP_DIR is not null");
            return (Criteria) this;
        }

        public Criteria andSetupDirEqualTo(String value) {
            addCriterion("SETUP_DIR =", value, "setupDir");
            return (Criteria) this;
        }

        public Criteria andSetupDirNotEqualTo(String value) {
            addCriterion("SETUP_DIR <>", value, "setupDir");
            return (Criteria) this;
        }

        public Criteria andSetupDirGreaterThan(String value) {
            addCriterion("SETUP_DIR >", value, "setupDir");
            return (Criteria) this;
        }

        public Criteria andSetupDirGreaterThanOrEqualTo(String value) {
            addCriterion("SETUP_DIR >=", value, "setupDir");
            return (Criteria) this;
        }

        public Criteria andSetupDirLessThan(String value) {
            addCriterion("SETUP_DIR <", value, "setupDir");
            return (Criteria) this;
        }

        public Criteria andSetupDirLessThanOrEqualTo(String value) {
            addCriterion("SETUP_DIR <=", value, "setupDir");
            return (Criteria) this;
        }

        public Criteria andSetupDirLike(String value) {
            addCriterion("SETUP_DIR like", value, "setupDir");
            return (Criteria) this;
        }

        public Criteria andSetupDirNotLike(String value) {
            addCriterion("SETUP_DIR not like", value, "setupDir");
            return (Criteria) this;
        }

        public Criteria andSetupDirIn(List<String> values) {
            addCriterion("SETUP_DIR in", values, "setupDir");
            return (Criteria) this;
        }

        public Criteria andSetupDirNotIn(List<String> values) {
            addCriterion("SETUP_DIR not in", values, "setupDir");
            return (Criteria) this;
        }

        public Criteria andSetupDirBetween(String value1, String value2) {
            addCriterion("SETUP_DIR between", value1, value2, "setupDir");
            return (Criteria) this;
        }

        public Criteria andSetupDirNotBetween(String value1, String value2) {
            addCriterion("SETUP_DIR not between", value1, value2, "setupDir");
            return (Criteria) this;
        }

        public Criteria andEnableConfigIsNull() {
            addCriterion("ENABLE_CONFIG is null");
            return (Criteria) this;
        }

        public Criteria andEnableConfigIsNotNull() {
            addCriterion("ENABLE_CONFIG is not null");
            return (Criteria) this;
        }

        public Criteria andEnableConfigEqualTo(String value) {
            addCriterion("ENABLE_CONFIG =", value, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andEnableConfigNotEqualTo(String value) {
            addCriterion("ENABLE_CONFIG <>", value, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andEnableConfigGreaterThan(String value) {
            addCriterion("ENABLE_CONFIG >", value, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andEnableConfigGreaterThanOrEqualTo(String value) {
            addCriterion("ENABLE_CONFIG >=", value, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andEnableConfigLessThan(String value) {
            addCriterion("ENABLE_CONFIG <", value, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andEnableConfigLessThanOrEqualTo(String value) {
            addCriterion("ENABLE_CONFIG <=", value, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andEnableConfigLike(String value) {
            addCriterion("ENABLE_CONFIG like", value, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andEnableConfigNotLike(String value) {
            addCriterion("ENABLE_CONFIG not like", value, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andEnableConfigIn(List<String> values) {
            addCriterion("ENABLE_CONFIG in", values, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andEnableConfigNotIn(List<String> values) {
            addCriterion("ENABLE_CONFIG not in", values, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andEnableConfigBetween(String value1, String value2) {
            addCriterion("ENABLE_CONFIG between", value1, value2, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andEnableConfigNotBetween(String value1, String value2) {
            addCriterion("ENABLE_CONFIG not between", value1, value2, "enableConfig");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleIsNull() {
            addCriterion("IMAGE_LEANANGLE is null");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleIsNotNull() {
            addCriterion("IMAGE_LEANANGLE is not null");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleEqualTo(Integer value) {
            addCriterion("IMAGE_LEANANGLE =", value, "imageLeanangle");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleNotEqualTo(Integer value) {
            addCriterion("IMAGE_LEANANGLE <>", value, "imageLeanangle");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleGreaterThan(Integer value) {
            addCriterion("IMAGE_LEANANGLE >", value, "imageLeanangle");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleGreaterThanOrEqualTo(Integer value) {
            addCriterion("IMAGE_LEANANGLE >=", value, "imageLeanangle");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleLessThan(Integer value) {
            addCriterion("IMAGE_LEANANGLE <", value, "imageLeanangle");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleLessThanOrEqualTo(Integer value) {
            addCriterion("IMAGE_LEANANGLE <=", value, "imageLeanangle");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleIn(List<Integer> values) {
            addCriterion("IMAGE_LEANANGLE in", values, "imageLeanangle");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleNotIn(List<Integer> values) {
            addCriterion("IMAGE_LEANANGLE not in", values, "imageLeanangle");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleBetween(Integer value1, Integer value2) {
            addCriterion("IMAGE_LEANANGLE between", value1, value2, "imageLeanangle");
            return (Criteria) this;
        }

        public Criteria andImageLeanangleNotBetween(Integer value1, Integer value2) {
            addCriterion("IMAGE_LEANANGLE not between", value1, value2, "imageLeanangle");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminIsNull() {
            addCriterion("IMAGE_NUMREGION_XMIN is null");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminIsNotNull() {
            addCriterion("IMAGE_NUMREGION_XMIN is not null");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMIN =", value, "imageNumregionXmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminNotEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMIN <>", value, "imageNumregionXmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminGreaterThan(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMIN >", value, "imageNumregionXmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminGreaterThanOrEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMIN >=", value, "imageNumregionXmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminLessThan(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMIN <", value, "imageNumregionXmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminLessThanOrEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMIN <=", value, "imageNumregionXmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminIn(List<Integer> values) {
            addCriterion("IMAGE_NUMREGION_XMIN in", values, "imageNumregionXmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminNotIn(List<Integer> values) {
            addCriterion("IMAGE_NUMREGION_XMIN not in", values, "imageNumregionXmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminBetween(Integer value1, Integer value2) {
            addCriterion("IMAGE_NUMREGION_XMIN between", value1, value2, "imageNumregionXmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXminNotBetween(Integer value1, Integer value2) {
            addCriterion("IMAGE_NUMREGION_XMIN not between", value1, value2, "imageNumregionXmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminIsNull() {
            addCriterion("IMAGE_NUMREGION_YMIN is null");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminIsNotNull() {
            addCriterion("IMAGE_NUMREGION_YMIN is not null");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMIN =", value, "imageNumregionYmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminNotEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMIN <>", value, "imageNumregionYmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminGreaterThan(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMIN >", value, "imageNumregionYmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminGreaterThanOrEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMIN >=", value, "imageNumregionYmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminLessThan(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMIN <", value, "imageNumregionYmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminLessThanOrEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMIN <=", value, "imageNumregionYmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminIn(List<Integer> values) {
            addCriterion("IMAGE_NUMREGION_YMIN in", values, "imageNumregionYmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminNotIn(List<Integer> values) {
            addCriterion("IMAGE_NUMREGION_YMIN not in", values, "imageNumregionYmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminBetween(Integer value1, Integer value2) {
            addCriterion("IMAGE_NUMREGION_YMIN between", value1, value2, "imageNumregionYmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYminNotBetween(Integer value1, Integer value2) {
            addCriterion("IMAGE_NUMREGION_YMIN not between", value1, value2, "imageNumregionYmin");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxIsNull() {
            addCriterion("IMAGE_NUMREGION_XMAX is null");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxIsNotNull() {
            addCriterion("IMAGE_NUMREGION_XMAX is not null");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMAX =", value, "imageNumregionXmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxNotEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMAX <>", value, "imageNumregionXmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxGreaterThan(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMAX >", value, "imageNumregionXmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxGreaterThanOrEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMAX >=", value, "imageNumregionXmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxLessThan(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMAX <", value, "imageNumregionXmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxLessThanOrEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_XMAX <=", value, "imageNumregionXmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxIn(List<Integer> values) {
            addCriterion("IMAGE_NUMREGION_XMAX in", values, "imageNumregionXmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxNotIn(List<Integer> values) {
            addCriterion("IMAGE_NUMREGION_XMAX not in", values, "imageNumregionXmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxBetween(Integer value1, Integer value2) {
            addCriterion("IMAGE_NUMREGION_XMAX between", value1, value2, "imageNumregionXmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionXmaxNotBetween(Integer value1, Integer value2) {
            addCriterion("IMAGE_NUMREGION_XMAX not between", value1, value2, "imageNumregionXmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxIsNull() {
            addCriterion("IMAGE_NUMREGION_YMAX is null");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxIsNotNull() {
            addCriterion("IMAGE_NUMREGION_YMAX is not null");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMAX =", value, "imageNumregionYmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxNotEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMAX <>", value, "imageNumregionYmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxGreaterThan(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMAX >", value, "imageNumregionYmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxGreaterThanOrEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMAX >=", value, "imageNumregionYmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxLessThan(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMAX <", value, "imageNumregionYmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxLessThanOrEqualTo(Integer value) {
            addCriterion("IMAGE_NUMREGION_YMAX <=", value, "imageNumregionYmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxIn(List<Integer> values) {
            addCriterion("IMAGE_NUMREGION_YMAX in", values, "imageNumregionYmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxNotIn(List<Integer> values) {
            addCriterion("IMAGE_NUMREGION_YMAX not in", values, "imageNumregionYmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxBetween(Integer value1, Integer value2) {
            addCriterion("IMAGE_NUMREGION_YMAX between", value1, value2, "imageNumregionYmax");
            return (Criteria) this;
        }

        public Criteria andImageNumregionYmaxNotBetween(Integer value1, Integer value2) {
            addCriterion("IMAGE_NUMREGION_YMAX not between", value1, value2, "imageNumregionYmax");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("UPDATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("UPDATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("UPDATE_TIME =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("UPDATE_TIME <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("UPDATE_TIME >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("UPDATE_TIME >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("UPDATE_TIME <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("UPDATE_TIME <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("UPDATE_TIME in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("UPDATE_TIME not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("UPDATE_TIME between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("UPDATE_TIME not between", value1, value2, "updateTime");
            return (Criteria) this;
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-03-10 11:36:41
    */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-03-10 11:36:41
    */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}